"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Return a sort comparator given a function that returns a sortable value.
 * @param {Function} resolve
 * @return {Function}
 */
var asc = exports.asc = function asc(resolve) {
  return function (a, b) {
    return resolve(a) - resolve(b);
  };
};

/**
 * Return a sort comparator given a function that returns a sortable value.
 * @param {Function} resolve
 * @return {Function}
 */
var desc = exports.desc = function desc(resolve) {
  return function (a, b) {
    return resolve(b) - resolve(a);
  };
};

exports.default = { asc: asc, desc: desc };