/**
 * Return a sort comparator given a function that returns a sortable value.
 * @param {Function} resolve
 * @return {Function}
 */
export const asc = (resolve) => (a, b) => resolve(a) - resolve(b);

/**
 * Return a sort comparator given a function that returns a sortable value.
 * @param {Function} resolve
 * @return {Function}
 */
export const desc = (resolve) => (a, b) => resolve(b) - resolve(a);

export default {asc, desc};

